


[TOC]
    
##### 简要描述

- 鞋通用合并接口

##### 请求URL
- ` /merge/any `
  
##### 请求方式
- POST|GET （建议POST）

##### 参数

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|groups |是  |Array | 复合接口描述数据，详见 groups结构  |



##### groups结构
```
     [
         [ //第一个接口
             'url' => '例如：/notice/count',
             'method' => 'GET', //或 POST
             'data' => 数组或对象、字符串、数字等类型的数据, 
         ],
         [...], //第二个接口
         ..., //第N个接口
     ]
```
形如application/x-www-form-urlencoded格式，例如：

```         
groups%5B0%5D%5Burl%5D=%2Fnotice%2Fcount%3Ftype%3Dlike%26read%3D0%26isMsg%3D1%26ver%3D1.2.5%26os%3D1%26sv%3D0.1.0.1&groups%5B0%5D%5Bmethod%5D=GET&groups%5B1%5D%5Burl%5D=%2Fnotice%2Fcount%3Ftype%3Dcomment%26read%3D0%26isMsg%3D1%26ver%3D1.2.5%26os%3D1%26sv%3D0.1.0.1&groups%5B1%5D%5Bmethod%5D=GET&groups%5B2%5D%5Burl%5D=%2Fforum%2FfansList%3Flimit%3D1%26ver%3D1.2.5%26os%3D1%26sv%3D0.1.0.1&groups%5B2%5D%5Bmethod%5D=GET
```

##### 返回示例 

``` 
[
    { //接口1的响应
        "result": 1,
        "code": 0,
        "msg": "成功",
        "data": 0,
        "debug": {
            "php_handle_ms": 107
        }
    },
    { //接口2的响应
        "result": 1,
        "code": 0,
        "msg": "成功",
        "data": 0,
        "debug": {
            "php_handle_ms": 105
        }
    },
    { //接口3的响应
        "result": 1,
        "code": 0,
        "msg": "成功",
        "data": {
            "list": [],
            "ksortList": [],
            "map": [],
            "noIgnoreCount": 0
        },
        "debug": {
            "php_handle_ms": 137
        }
    }
]
```

##### 返回参数说明 

返回结果顺序和groups内输入参数顺序一致

##### 备注 
- 仅用于合并同域名下接口的请求
- 由于某些接口需要登录态，因此尽量处于登录状态
- 不适用于文件上传接口
- 除了已有的TOKEN头以外，以后有没有某些接口需要定义别的特殊header？


##### 示例

https://test-shoes-api.hiyd.com/merge/any?groups%5B0%5D%5Burl%5D=%2Fnotice%2Fcount%3Ftype%3Dlike%26read%3D0%26isMsg%3D1%26ver%3D1.2.5%26os%3D1%26sv%3D0.1.0.1&groups%5B0%5D%5Bmethod%5D=GET&groups%5B1%5D%5Burl%5D=%2Fnotice%2Fcount%3Ftype%3Dcomment%26read%3D0%26isMsg%3D1%26ver%3D1.2.5%26os%3D1%26sv%3D0.1.0.1&groups%5B1%5D%5Bmethod%5D=GET&groups%5B2%5D%5Burl%5D=%2Fforum%2FfansList%3Flimit%3D1%26ver%3D1.2.5%26os%3D1%26sv%3D0.1.0.1&groups%5B2%5D%5Bmethod%5D=GET


